# This file was automatically generated
# DO NOT EDIT!
#
lib_LTLIBRARIES = libXXX_FFTW_PREFIX_XXXrfftw.la
include_HEADERS = XXX_FFTW_PREFIX_XXXrfftw.h
INCLUDES = -I$(srcdir)/../fftw -I$(srcdir)

NOTW_CODELETS= frc_1.S frc_2.S frc_3.S frc_4.S frc_5.S frc_6.S frc_7.S frc_8.S frc_9.S frc_10.S frc_11.S frc_12.S frc_13.S frc_14.S frc_15.S frc_16.S frc_32.S frc_64.S frc_128.S frc_256.S
TWID_CODELETS= fhf_2.S fhf_3.S fhf_4.S fhf_5.S fhf_6.S fhf_7.S fhf_8.S fhf_9.S fhf_10.S fhf_16.S fhf_32.S fhf_64.S fhf_128.S
NOTWI_CODELETS= fcr_1.S fcr_2.S fcr_3.S fcr_4.S fcr_5.S fcr_6.S fcr_7.S fcr_8.S fcr_9.S fcr_10.S fcr_11.S fcr_12.S fcr_13.S fcr_14.S fcr_15.S fcr_16.S fcr_32.S fcr_64.S fcr_128.S fcr_256.S
TWIDI_CODELETS= fhb_2.S fhb_3.S fhb_4.S fhb_5.S fhb_6.S fhb_7.S fhb_8.S fhb_9.S fhb_10.S fhb_16.S fhb_32.S fhb_64.S fhb_128.S

CODELETS=$(NOTW_CODELETS) $(TWID_CODELETS) $(NOTWI_CODELETS) $(TWIDI_CODELETS)
OTHERSRC = rconfig.c rplanner.c rexec.c rexec2.c rfftwnd.c rgeneric.c \
           rfftwf77.c

libXXX_FFTW_PREFIX_XXXrfftw_la_SOURCES = $(CODELETS) $(OTHERSRC)    \
					 rfftw.h                   

libXXX_FFTW_PREFIX_XXXrfftw_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@
MAINTAINERCLEANFILES = $(CODELETS) rconfig.c
DISTCLEANFILES = srfftw.h drfftw.h

XXX_FFTW_PREFIX1_XXXrfftw.h: rfftw.h
	rm -f XXX_FFTW_PREFIX_XXXrfftw.h
	sed 's/<fftw/<XXX_FFTW_PREFIX_XXXfftw/g;s/<rfftw/<XXX_FFTW_PREFIX_XXXrfftw/g' rfftw.h > XXX_FFTW_PREFIX_XXXrfftw.h

CLEANFILES = XXX_FFTW_PREFIX1_XXXrfftw.h

# for some reason, automake tries to use autoheader in order to
# generate config.h.in, and fails because config.h.in is GNU-lly
# incorrect.  Just disable autoheader
AUTOHEADER=echo

